Triggers = {}
SPEED = .002
NEG_SPEED = -.001

function Triggers.init()
	for p in Players() do
		p._exempt = true
		p._timer = 60
	end
end

function Triggers.idle()
	for p in Players() do
		if(not p._exempt) then
			if(p.internal_velocity.forward + p.internal_velocity.perpendicular < SPEED and
				p.internal_velocity.forward + p.internal_velocity.perpendicular > NEG_SPEED) then
				p:damage(1000)
			end
		else
			p._timer = p._timer - 1
			if(p._timer <= 0) then
				p._exempt = false
			end
		end
	end
end

function Triggers.player_revived(player)
	player._exempt = true
	player._timer = 60
end
